package com.pj.api.wx.bo;

import lombok.Data;

@Data
public class MsgDataBO {
    private Msg first;
    private Msg keyword1;
    private Msg keyword2;
    private Msg keyword3;
    private Msg keyword4;
    private Msg keyword5;
    private Msg remark;

    public MsgDataBO(String first, String keyword1, String keyword2, String remark) {
        this.first = new Msg(first);
        this.keyword1 = new Msg(keyword1);
        this.keyword2 = new Msg(keyword2);
        this.remark = new Msg(remark);
    }

    public MsgDataBO(String first, String keyword1, String keyword2, String keyword3, String remark) {
        this.first = new Msg(first);
        this.keyword1 = new Msg(keyword1);
        this.keyword2 = new Msg(keyword2);
        this.keyword3 = new Msg(keyword3);
        this.remark = new Msg(remark);
    }

    public MsgDataBO(String first, String keyword1, String keyword2, String keyword3, String keyword4, String remark) {
        this.first = new Msg(first);
        this.keyword1 = new Msg(keyword1);
        this.keyword2 = new Msg(keyword2);
        this.keyword3 = new Msg(keyword3);
        this.keyword4 = new Msg(keyword4);
        this.remark = new Msg(remark);
    }

    public MsgDataBO(String first, String keyword1, String keyword2, String keyword3, String keyword4, String keyword5, String remark) {
        this.first = new Msg(first);
        this.keyword1 = new Msg(keyword1);
        this.keyword2 = new Msg(keyword2);
        this.keyword3 = new Msg(keyword3);
        this.keyword4 = new Msg(keyword4);
        this.keyword5 = new Msg(keyword5);
        this.remark = new Msg(remark);

    }

}
